package cn.palmte.work.bean;

import lombok.Data;

/**
 * 主要指标数据
 */
@Data
public class PrimaryIndicatorBean {

    /**
     *
     */
    private String title;

    /**
     * 收入--设备类
     */
    private long incomeDevice;

    /**
     * 收入--施工类
     */
    private long incomeEngineer;

    /**
     * 收入--服务类
     */
    private long incomeService;

    /**
     * 采购成本--设备类
     */
    private long costPurchaseDevice;

    /**
     * 采购成本--施工类
     */
    private long costPurchaseBuild;

    /**
     * 采购成本--服务类
     */
    private long costPurchaseService;

    /**
     * 采购成本--其他
     */
    private long costPurchaseOther;

    /**
     * 成本--其他
     */
    private long costOtherOther;

    /**
     * 成本--项目管理成本
     */
    private long costProjectManage;

    /**
     * 财务费用--资金占用成本
     */
    private long costExpropriation;

    /**
     * 公司管理费用
     */
    private long costCompanyManage;

}
